<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote;

/**
 * Class QuoteItem
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote
 */
class QuoteItem extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Quote Model
     *
     * @var \Magento\Quote\Model\Quote\Item
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'quote_item';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id'];

    /**
     * @var array
     */
    protected $_additionalOptions =  [
        ['value' => 'key', 'label' => 'Key']
    ];

    /**
     * Order constructor.
     * @param \Magento\Quote\Model\Quote\Item $quoteItem
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Quote\Model\Quote\Item $quoteItem,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $quoteItem;
        parent::__construct($context, $data);
    }
}
